#!/bin/bash
if [ $# -lt 1 ]; then
	echo "Usage: ./stream ezconfig"
	exit
fi

bitrage=$(cat "$1" | grep 'svrinfobitrate' | sed 's/.*>\(.*\)<.*/\1/')
MONITOR=$(pactl list | grep -A2 '^Source #' | \
	grep 'Name: .*\.monitor$' | awk '{print $NF}' | tail -n1)

fn=$(date +%Y-%m-%d_%H-%M-%S)

echo "$bitrage from $MONITOR"
(
	cat head
	parec -d "$MONITOR" |\
	sox -t raw -r 44100 -s -Lb 16 -c 2 - -t raw -
) |\
lame --preset cbr $bitrage -q 0 -m j - - |\
tee live-$fn.mp3 |\
ezstream -c "$1"
mplayer down.flac
